Mailinglist Archive: yast-devel (224 mails)

< Previous Next >
[yast-devel] [ci_new_pac] JFYI yast2-storage -> sle12
Script 'mail_helper' called by ro
Hello packager,

This is just FYI. Your package was checked in in distribution "sle12"
by autobuild-member: ro.

Here comes the log...

---------------------------%<------------------------------
Hi,

here is the log from ci_new_pac /mounts/work_src_done/SLE12/yast2-storage ->
sle12



## BNC# 853930 : "installer defaults to btrfs but zipl does not support it"
(RESOLVED/FIXED)

Changes:
--------
--- /work/SRC/SUSE:SLE-12:GA/yast2-storage/yast2-storage.changes
2014-01-17 14:16:34.000000000 +0100
+++ /mounts/work_src_done/SLE12/yast2-storage/yast2-storage.changes
2014-01-23 16:26:26.000000000 +0100
@@ -1,0 +2,23 @@
+Tue Jan 21 11:31:36 UTC 2014 - jsrain@xxxxxxx
+
+- propose dedicated /boot/zipl partition on S/390 (bnc#853930)
+- version 3.1.6
+
+-------------------------------------------------------------------
+Mon Jan 20 11:26:44 CET 2014 - aschnell@xxxxxxx
+
+- don't create home subvolume if a home partition is proposed
+
+-------------------------------------------------------------------
+Fri Jan 17 14:52:02 CET 2014 - aschnell@xxxxxxx
+
+- allow to disable automatic snapshots for btrfs in proposal and
+ expert partitioner (fate#316221)
+
+-------------------------------------------------------------------
+Tue Jan 14 17:47:23 CET 2014 - aschnell@xxxxxxx
+
+- allow to choose filesystem for root and home in proposal
+ (fate#316637)
+
+-------------------------------------------------------------------

calling whatdependson for sle12-i586
Packages directly triggered for rebuild:
- yast2-storage
- at least 23 other packages
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/SUSE:SLE-12:GA/yast2-storage (Old)
and /mounts/work_src_done/SLE12/yast2-storage (BS:build ID:31197
MAIL:yast-devel@xxxxxxxxxxxx) (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "yast2-storage", Maintainer is "yast-devel@xxxxxxxxxxxx"


Old:
----
yast2-storage-3.1.5.tar.bz2

New:
----
yast2-storage-3.1.6.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ yast2-storage.spec ++++++
--- /var/tmp/diff_new_pack.PzA934/_old 2014-01-27 16:09:35.000000000 +0100
+++ /var/tmp/diff_new_pack.PzA934/_new 2014-01-27 16:09:35.000000000 +0100
@@ -17,45 +17,37 @@


Name: yast2-storage
-Version: 3.1.5
+Version: 3.1.6
Release: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: %{name}-%{version}.tar.bz2

-BuildRequires: docbook-xsl-stylesheets
-BuildRequires: doxygen
-BuildRequires: gcc-c++
-BuildRequires: libstorage-devel >= 2.25.4
-BuildRequires: libstorage-ruby >= 2.25.4
-BuildRequires: libtool
-BuildRequires: libxslt
-BuildRequires: perl-XML-Writer
-BuildRequires: rubygem-ruby-dbus
-BuildRequires: sgml-skel
-BuildRequires: update-desktop-files
+Group: System/YaST
+License: GPL-2.0
+
+BuildRequires: gcc-c++ libtool
+BuildRequires: docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer
sgml-skel update-desktop-files
+BuildRequires: libstorage-devel >= 2.25.7
BuildRequires: yast2 >= 2.19.4
BuildRequires: yast2-core-devel >= 2.23.1
BuildRequires: yast2-devtools >= 3.1.10
BuildRequires: yast2-testsuite >= 2.19.0
-Requires: libstorage-ruby >= 2.25.4
-Requires: libstorage5 >= 2.25.4
+BuildRequires: rubygem-ruby-dbus
+BuildRequires: rubygem-rspec
+BuildRequires: libstorage-ruby >= 2.25.7
+Requires: libstorage5 >= 2.25.7
+Requires: libstorage-ruby >= 2.25.7
+Requires: yast2-core >= 2.18.3 yast2 >= 2.19.4 yast2-libyui >= 2.18.7
Requires: rubygem-ruby-dbus
-Requires: yast2 >= 2.19.4
-Requires: yast2-core >= 2.18.3
-Requires: yast2-libyui >= 2.18.7
%ifarch s390 s390x
Requires: yast2-s390
%endif
PreReq: %fillup_prereq
-Provides: y2a_fdsk
-Provides: yast2-config-disk
-Obsoletes: y2a_fdsk
-Obsoletes: yast2-config-disk
-Provides: yast2-agent-fdisk
-Provides: yast2-agent-fdisk-devel
-Obsoletes: yast2-agent-fdisk
-Obsoletes: yast2-agent-fdisk-devel
+Provides: y2a_fdsk yast2-config-disk
+Obsoletes: y2a_fdsk yast2-config-disk
+Provides: yast2-agent-fdisk yast2-agent-fdisk-devel
+Obsoletes: yast2-agent-fdisk yast2-agent-fdisk-devel
Provides: yast2-trans-inst-partitioning
Obsoletes: yast2-trans-inst-partitioning
Provides: y2t_inst-partitioning
@@ -63,8 +55,6 @@
Requires: yast2-ruby-bindings >= 1.0.0

Summary: YaST2 - Storage Configuration
-License: GPL-2.0
-Group: System/YaST

%description
This package contains the files for YaST2 that handle access to disk
@@ -82,6 +72,7 @@
rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2StorageCallbacks.la
rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2StorageCallbacks.so

+
%post
%{fillup_only -an storage}

@@ -129,9 +120,8 @@
%{yast_ybindir}/check.boot

%package devel
-Requires: libstdc++-devel
-Requires: yast2-storage = %version
Requires: libstorage-devel = %(echo `rpm -q --queryformat '%{VERSION}'
libstorage-devel`)
+Requires: libstdc++-devel yast2-storage = %version

Summary: YaST2 - Storage Library Headers and Documentation
Group: Development/Libraries/YaST
@@ -144,5 +134,3 @@
%defattr(-,root,root)
%doc %{yast_docdir}/autodocs
%doc %{yast_docdir}/config.xml.description
-
-%changelog

++++++ yast2-storage-3.1.5.tar.bz2 -> yast2-storage-3.1.6.tar.bz2 ++++++
++++ 2984 lines of diff (skipped)

continue with "q"...


Checked in at Mon Jan 27 16:09:55 CET 2014 by ro

Remember to have fun...

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages